Package icyllis.arc3d.engine.trash

# Class TransferProcessor

java.lang.Object
icyllis.arc3d.engine.trash.Processor
icyllis.arc3d.engine.trash.TransferProcessor

@Deprecated @Immutable public abstract class TransferProcessor extends Processor
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TransferProcessor.ProgramImpl`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `mIsLCDCoverage`
  Deprecated.
  `protected final boolean`
  `mReadsDstColor`
  Deprecated.

  ### Fields inherited from class icyllis.arc3d.engine.trash.Processor

  `Circle_Geom_ClassID, CircularRRect_Geom_ClassID, DefaultGeoProc_ClassID, Hard_XferProc_ClassID, mClassID, Null_ClassID, RoundRect_GeoProc_ClassID, SDFRect_GeoProc_ClassID`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TransferProcessor(int classID)`
  Deprecated.
  `protected`
  `TransferProcessor(int classID, boolean readsDstColor, boolean isLCDCoverage)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToKey(KeyBuilder b)`
  Deprecated.
  `BlendInfo`
  `getBlendInfo()`
  Deprecated.
  `boolean`
  `hasSecondaryOutput()`
  Deprecated.
  `final boolean`
  `isLCDCoverage()`
  Deprecated.
  `abstract TransferProcessor.ProgramImpl`
  `makeProgramImpl()`
  Deprecated.
  Returns a new instance of the appropriate implementation class for the given TransferProcessor.
  `final boolean`
  `readsDstColor()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mReadsDstColor

    protected final boolean mReadsDstColor
    Deprecated.

  - ### mIsLCDCoverage

    protected final boolean mIsLCDCoverage
    Deprecated.

- ## Constructor Details

  - ### TransferProcessor

    protected TransferProcessor(int classID)
    Deprecated.

  - ### TransferProcessor

    protected TransferProcessor(int classID, boolean readsDstColor, boolean isLCDCoverage)
    Deprecated.

- ## Method Details

  - ### addToKey

    public void addToKey(KeyBuilder b)
    Deprecated.

  - ### makeProgramImpl

    @Nonnull public abstract TransferProcessor.ProgramImpl makeProgramImpl()
    Deprecated.
    Returns a new instance of the appropriate implementation class for the given TransferProcessor.

  - ### getBlendInfo

    @Nonnull public BlendInfo getBlendInfo()
    Deprecated.

  - ### hasSecondaryOutput

    public boolean hasSecondaryOutput()
    Deprecated.

  - ### readsDstColor

    public final boolean readsDstColor()
    Deprecated.

  - ### isLCDCoverage

    public final boolean isLCDCoverage()
    Deprecated.